Subject: [linux-sunxi] Re: [PATCH 0/7] mfd: AXP20x: Add support for AXP202 and AXP209

From: [email-masked] (Hans de Goede)
Date: Thu, 06 Mar 2014 12:05:50 +0100

Hi,

On 03/06/2014 11:10 AM, Carlo Caione wrote:
> On Thu, Mar 6, 2014 at 11:07 AM, Hans de Goede <[email-masked]> wrote:
>> Hi,
>>
>> On 03/05/2014 09:46 PM, Carlo Caione wrote:
>>> On Wed, Mar 5, 2014 at 9:02 PM, Hans de Goede <[email-masked]> wrote:
>>>>
>>>> So I've added your patches to my sunxi-devel tree and they work as advertised :)
>>>
>>> Thank you for keeping the tree updated :)
>>>
>>>> I've also added dt support for the axp209 to the cubietruck dts file, to avoid
>>>> things becoming a copy and paste fest I've introduced a new axp209.dtsi file,
>>>> as well as did some fixes to the existing sun?i-a*.dtsi files, see my tree here:
>>>> https://github.com/jwrdegoede/linux-sunxi/commits/sunxi-devel
>>>
>>> That was also my idea (creating a new axp20x.dtsi) but it has been
>>> turned down by Maxime and Lee
>>
>> Hmm, do you have a pointer to the mailinglist discussion about this ?
> 
> Sure, http://www.spinics.net/lists/arm-kernel/msg306497.html

Ah, yes but that is before you added all the regulators, which are a fixed part
of the chip. Once you get long dts bits like that having a dtsi file makes a lot
of sense IMHO. Note that the part of the dts this was discussing is actually the part
I did not put in the dtis, since it can vary per board :)

Regards,

Hans